@use "../../../../styles/variables/colorsFacebook.scss";
@use "../../../../styles/variables/colors.scss";

.group-members-wrapper {
    width: 85%;
    height: auto;

    display: flex;
    flex-direction: column;
    justify-content: start;
    align-items: center;
    gap: 10px;
    background-color: colorsFacebook.$gray_background-modal;
    border-radius: 8px;
    text-decoration: none;

    .members-number {
        width: 100%;
        max-height: 80px;
        height: 70px;
        display: flex;
        flex-direction: row;
        justify-content: start;
        align-items: center;
        gap: 10px;

        .member-title {
            margin: 10px 10px;
            width: 100%;
            height: 100%;
            gap: 5px;

            display: flex;
            flex-direction: row;
            justify-content: start;
            align-items: center;

            .text {
                font-size: 20px;
                font-weight: 600;
            }

            .number {}
        }
    }

    .under-line {
        width: 97%;
        height: 10px;
        border-bottom: 1px solid colorsFacebook.$gray_light-text
    }

    .member-item-wrapper {
        width: 100%;
        max-height: 100px;
        height: 80px;
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        align-items: center;

        .member-box {
            margin: 10px 10px;
            width: 100%;
            height: 100%;
            gap: 10px;

            display: flex;
            flex-direction: row;
            justify-content: start;
            align-items: center;

            .member-icon {
                margin-right: 7px;
                width: 60px;
                height: 60px;
                border-radius: 30px;
                background-color: colorsFacebook.$gray_background-input;
                display: flex;
                flex-direction: row;
                justify-content: center;
                align-items: center;

                .user-img {
                    width: 100%;
                    height: 100%;
                    border-radius: 35px;
                    object-fit: cover;
                }

                svg {
                    margin-left: 1px;
                    width: 20px;
                    height: 25px;
                    fill: colorsFacebook.$gray_light-text;
                }
            }

            .member-item {
                font-size: 18px;
                font-weight: 600;
                color: colors.$white;
            }
        }
    }
}